summaryrefslogtreecommitdiff
path: root/eclass/ninja-utils.eclass
diff options
context:
space:
mode:
authorV3n3RiX <venerix@koprulu.sector>2022-12-27 20:10:49 +0000
committerV3n3RiX <venerix@koprulu.sector>2022-12-27 20:10:49 +0000
commite44b9cf3e5b67eaf723e4a335faf39c87167abd3 (patch)
tree3e6660b30910e7eb33586a99c4e892b52380bad6 /eclass/ninja-utils.eclass
parent4429be000a778f363162554d59d903a725283d7d (diff)
gentoo auto-resync : 27:12:2022 - 20:10:49
Diffstat (limited to 'eclass/ninja-utils.eclass')
-rw-r--r--eclass/ninja-utils.eclass13
1 files changed, 5 insertions, 8 deletions
diff --git a/eclass/ninja-utils.eclass b/eclass/ninja-utils.eclass
index 9be502fa8ad9..4577e26fa57c 100644
--- a/eclass/ninja-utils.eclass
+++ b/eclass/ninja-utils.eclass
@@ -8,7 +8,7 @@
# @AUTHOR:
# Michał Górny <mgorny@gentoo.org>
# Mike Gilbert <floppym@gentoo.org>
-# @SUPPORTED_EAPIS: 5 6 7 8
+# @SUPPORTED_EAPIS: 7 8
# @BLURB: common bits to run dev-util/ninja builder
# @DESCRIPTION:
# This eclass provides a single function -- eninja -- that can be used
@@ -19,7 +19,7 @@
# Meson).
case ${EAPI} in
- 5|6|7|8) ;;
+ 7|8) ;;
*) die "${ECLASS}: EAPI ${EAPI:-0} not supported" ;;
esac
@@ -76,16 +76,13 @@ get_NINJAOPTS() {
# @USAGE: [<args>...]
# @DESCRIPTION:
# Call Ninja, passing the NINJAOPTS (or converted MAKEOPTS), followed
-# by the supplied arguments. This function dies if ninja fails. Starting
-# with EAPI 6, it also supports being called via 'nonfatal'.
+# by the supplied arguments. This function dies if ninja fails. It
+# also supports being called via 'nonfatal'.
eninja() {
- local nonfatal_args=()
- [[ ${EAPI} != 5 ]] && nonfatal_args+=( -n )
-
[[ -n "${NINJA_DEPEND}" ]] || ewarn "Unknown value '${NINJA}' for \${NINJA}"
set -- "${NINJA}" -v $(get_NINJAOPTS) "$@"
echo "$@" >&2
- "$@" || die "${nonfatal_args[@]}" "${*} failed"
+ "$@" || die -n "${*} failed"
}
fi